synch with TL 37803
[luatex.git] / source / texk / texlive / linked_scripts / Makefile.in
blob55a56df1f9a29b777cd4bf5e8e6e75ab584bca93
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
17 VPATH = @srcdir@
18 am__is_gnu_make = { \
19 if test -z '$(MAKELEVEL)'; then \
20 false; \
21 elif test -n '$(MAKE_HOST)'; then \
22 true; \
23 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24 true; \
25 else \
26 false; \
27 fi; \
29 am__make_running_with_option = \
30 case $${target_option-} in \
31 ?) ;; \
32 *) echo "am__make_running_with_option: internal error: invalid" \
33 "target option '$${target_option-}' specified" >&2; \
34 exit 1;; \
35 esac; \
36 has_opt=no; \
37 sane_makeflags=$$MAKEFLAGS; \
38 if $(am__is_gnu_make); then \
39 sane_makeflags=$$MFLAGS; \
40 else \
41 case $$MAKEFLAGS in \
42 *\\[\ \ ]*) \
43 bs=\\; \
44 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
46 esac; \
47 fi; \
48 skip_next=no; \
49 strip_trailopt () \
50 { \
51 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52 }; \
53 for flg in $$sane_makeflags; do \
54 test $$skip_next = yes && { skip_next=no; continue; }; \
55 case $$flg in \
56 *=*|--*) continue;; \
57 -*I) strip_trailopt 'I'; skip_next=yes;; \
58 -*I?*) strip_trailopt 'I';; \
59 -*O) strip_trailopt 'O'; skip_next=yes;; \
60 -*O?*) strip_trailopt 'O';; \
61 -*l) strip_trailopt 'l'; skip_next=yes;; \
62 -*l?*) strip_trailopt 'l';; \
63 -[dEDm]) skip_next=yes;; \
64 -[JT]) skip_next=yes;; \
65 esac; \
66 case $$flg in \
67 *$$target_option*) has_opt=yes; break;; \
68 esac; \
69 done; \
70 test $$has_opt = yes
71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73 pkgdatadir = $(datadir)/@PACKAGE@
74 pkgincludedir = $(includedir)/@PACKAGE@
75 pkglibdir = $(libdir)/@PACKAGE@
76 pkglibexecdir = $(libexecdir)/@PACKAGE@
77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78 install_sh_DATA = $(install_sh) -c -m 644
79 install_sh_PROGRAM = $(install_sh) -c
80 install_sh_SCRIPT = $(install_sh) -c
81 INSTALL_HEADER = $(INSTALL_DATA)
82 transform = $(program_transform_name)
83 NORMAL_INSTALL = :
84 PRE_INSTALL = :
85 POST_INSTALL = :
86 NORMAL_UNINSTALL = :
87 PRE_UNINSTALL = :
88 POST_UNINSTALL = :
89 subdir = linked_scripts
90 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
91 am__aclocal_m4_deps = $(top_srcdir)/../../m4/kpse-win32.m4 \
92 $(top_srcdir)/../../version.ac $(top_srcdir)/ac/texlive.ac \
93 $(top_srcdir)/configure.ac
94 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
95 $(ACLOCAL_M4)
96 DIST_COMMON = $(srcdir)/Makefile.am \
97 $(nobase_dist_texmf_scripts_SCRIPTS) $(am__DIST_COMMON)
98 mkinstalldirs = $(install_sh) -d
99 CONFIG_CLEAN_FILES =
100 CONFIG_CLEAN_VPATH_FILES =
101 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
102 am__vpath_adj = case $$p in \
103 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
104 *) f=$$p;; \
105 esac;
106 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
107 am__install_max = 40
108 am__nobase_strip_setup = \
109 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
110 am__nobase_strip = \
111 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
112 am__nobase_list = $(am__nobase_strip_setup); \
113 for p in $$list; do echo "$$p $$p"; done | \
114 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
115 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
116 if (++n[$$2] == $(am__install_max)) \
117 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
118 END { for (dir in files) print dir, files[dir] }'
119 am__base_list = \
120 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
121 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
122 am__uninstall_files_from_dir = { \
123 test -z "$$files" \
124 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
125 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
126 $(am__cd) "$$dir" && rm -f $$files; }; \
128 am__installdirs = "$(DESTDIR)$(texmf_scriptsdir)"
129 SCRIPTS = $(nobase_dist_texmf_scripts_SCRIPTS)
130 AM_V_P = $(am__v_P_@AM_V@)
131 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
132 am__v_P_0 = false
133 am__v_P_1 = :
134 AM_V_GEN = $(am__v_GEN_@AM_V@)
135 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
136 am__v_GEN_0 = @echo " GEN " $@;
137 am__v_GEN_1 =
138 AM_V_at = $(am__v_at_@AM_V@)
139 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
140 am__v_at_0 = @
141 am__v_at_1 =
142 SOURCES =
143 DIST_SOURCES =
144 am__can_run_installinfo = \
145 case $$AM_UPDATE_INFO_DIR in \
146 n|no|NO) false;; \
147 *) (install-info --version) >/dev/null 2>&1;; \
148 esac
149 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
150 am__DIST_COMMON = $(srcdir)/Makefile.in ChangeLog
151 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
152 ACLOCAL = @ACLOCAL@
153 AMTAR = @AMTAR@
154 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
155 AUTOCONF = @AUTOCONF@
156 AUTOHEADER = @AUTOHEADER@
157 AUTOMAKE = @AUTOMAKE@
158 AWK = @AWK@
159 CC = @CC@
160 CCDEPMODE = @CCDEPMODE@
161 CFLAGS = @CFLAGS@
162 CPPFLAGS = @CPPFLAGS@
163 CYGPATH_W = @CYGPATH_W@
164 DEFS = @DEFS@
165 DEPDIR = @DEPDIR@
166 ECHO_C = @ECHO_C@
167 ECHO_N = @ECHO_N@
168 ECHO_T = @ECHO_T@
169 EXEEXT = @EXEEXT@
170 INSTALL = @INSTALL@
171 INSTALL_DATA = @INSTALL_DATA@
172 INSTALL_PROGRAM = @INSTALL_PROGRAM@
173 INSTALL_SCRIPT = @INSTALL_SCRIPT@
174 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
175 LDFLAGS = @LDFLAGS@
176 LIBOBJS = @LIBOBJS@
177 LIBS = @LIBS@
178 LN_S = @LN_S@
179 LTLIBOBJS = @LTLIBOBJS@
180 MAINT = @MAINT@
181 MAKEINFO = @MAKEINFO@
182 MKDIR_P = @MKDIR_P@
183 OBJEXT = @OBJEXT@
184 PACKAGE = @PACKAGE@
185 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
186 PACKAGE_NAME = @PACKAGE_NAME@
187 PACKAGE_STRING = @PACKAGE_STRING@
188 PACKAGE_TARNAME = @PACKAGE_TARNAME@
189 PACKAGE_URL = @PACKAGE_URL@
190 PACKAGE_VERSION = @PACKAGE_VERSION@
191 PATH_SEPARATOR = @PATH_SEPARATOR@
192 SET_MAKE = @SET_MAKE@
193 SHELL = @SHELL@
194 STRIP = @STRIP@
195 VERSION = @VERSION@
196 WIN_WRAPPER = @WIN_WRAPPER@
197 abs_builddir = @abs_builddir@
198 abs_srcdir = @abs_srcdir@
199 abs_top_builddir = @abs_top_builddir@
200 abs_top_srcdir = @abs_top_srcdir@
201 ac_ct_CC = @ac_ct_CC@
202 am__include = @am__include@
203 am__leading_dot = @am__leading_dot@
204 am__quote = @am__quote@
205 am__tar = @am__tar@
206 am__untar = @am__untar@
207 bindir = @bindir@
208 build_alias = @build_alias@
209 builddir = @builddir@
210 datadir = @datadir@
211 datarootdir = @datarootdir@
212 docdir = @docdir@
213 dvidir = @dvidir@
214 exec_prefix = @exec_prefix@
215 host_alias = @host_alias@
216 htmldir = @htmldir@
217 includedir = @includedir@
218 infodir = @infodir@
219 install_sh = @install_sh@
220 libdir = @libdir@
221 libexecdir = @libexecdir@
222 localedir = @localedir@
223 localstatedir = @localstatedir@
224 mandir = @mandir@
225 mkdir_p = @mkdir_p@
226 oldincludedir = @oldincludedir@
227 pdfdir = @pdfdir@
228 prefix = @prefix@
229 program_transform_name = @program_transform_name@
230 psdir = @psdir@
231 sbindir = @sbindir@
232 sharedstatedir = @sharedstatedir@
233 srcdir = @srcdir@
234 sysconfdir = @sysconfdir@
235 target_alias = @target_alias@
236 top_build_prefix = @top_build_prefix@
237 top_builddir = @top_builddir@
238 top_srcdir = @top_srcdir@
239 DISTCLEANFILES = scripts-list
241 # The idea is to install the scripts themselves in texmf*/scripts, and
242 # have bin/arch/foo be a symlink to, say,
243 # ../../texmf-dist/scripts/foo/foo.pl. That way we save a bit of disk
244 # space, but more importantly omit duplication, and most
245 # importantly of all make it possible to invoke the same Perl script on
246 # Windows (see ../$(WIN_WRAPPER)).
248 # The installation into texmf*/scripts is ideally done with ctan2tl.
249 # The copy of the wrapper for Windows is also done by ctan2tl. (And
250 # for shell scripts, its addition must be undone by hand.) The
251 # check-wrapper-consistency script checks after the fact for problems.
253 # We also keep a copy of all the scripts here and install into the runtime.
254 # This is purely for other distro builders, so symlinks are not dangling in
255 # the inst/bin dir (it is meaningless in native TL). We have not yet
256 # written the auto-update to ensure linked_scripts is actually up to date
257 # with the masters in Master/texmf*/scripts, but one day.
259 # We support native builds, multiplatform or not, as well as distro builds.
261 EXTRA_DIST = scripts.lst context/stubs/unix/ctxtools \
262 context/stubs/unix/pstopdf ../../../build-aux/relpath
264 # Copies of these scripts exist here for the sake of avoiding
265 # dangling symlinks produced by `make install'.
266 # The instances in texmf* are the masters (except when it is CTAN).
268 texmf_scriptsdir = $(datarootdir)/texmf-dist/scripts
269 texmf_shell_scripts = \
270 adhocfilelist/adhocfilelist.sh \
271 bibexport/bibexport.sh \
272 dtxgen/dtxgen \
273 installfont/installfont-tl \
274 latexfileversion/latexfileversion \
275 listbib/listbib \
276 listings-ext/listings-ext.sh \
277 ltxfileinfo/ltxfileinfo \
278 lua2dox/lua2dox_filter \
279 pdfbook2/pdfbook2 \
280 pdfjam/pdf180 \
281 pdfjam/pdf270 \
282 pdfjam/pdf90 \
283 pdfjam/pdfbook \
284 pdfjam/pdfflip \
285 pdfjam/pdfjam \
286 pdfjam/pdfjam-pocketmod \
287 pdfjam/pdfjam-slides3up \
288 pdfjam/pdfjam-slides6up \
289 pdfjam/pdfjoin \
290 pdfjam/pdfnup \
291 pdfjam/pdfpun \
292 pst-pdf/ps4pdf \
293 simpdftex/simpdftex \
294 typeoutfileinfo/typeoutfileinfo.sh
296 texmf_other_scripts = \
297 a2ping/a2ping.pl \
298 accfonts/mkt1font \
299 accfonts/vpl2ovp \
300 accfonts/vpl2vpl \
301 arara/arara.sh \
302 authorindex/authorindex \
303 bundledoc/arlatex \
304 bundledoc/bundledoc \
305 cachepic/cachepic.tlu \
306 checkcites/checkcites.lua \
307 cjk-gs-integrate/cjk-gs-integrate.pl \
308 context/perl/mptopdf.pl \
309 convbkmk/convbkmk.rb \
310 crossrefware/bibdoiadd.pl \
311 crossrefware/bibzbladd.pl \
312 crossrefware/ltx2crossrefxml.pl \
313 ctanify/ctanify \
314 ctanupload/ctanupload.pl \
315 de-macro/de-macro \
316 diadia/diadia.lua \
317 dosepsbin/dosepsbin.pl \
318 dviasm/dviasm.py \
319 ebong/ebong.py \
320 epspdf/epspdf.tlu \
321 epspdf/epspdftk.tcl \
322 epstopdf/epstopdf.pl \
323 exceltex/exceltex \
324 fig4latex/fig4latex \
325 findhyph/findhyph \
326 fontools/afm2afm \
327 fontools/autoinst \
328 fontools/ot2kpx \
329 fragmaster/fragmaster.pl \
330 getmap/getmapdl.lua \
331 glossaries/makeglossaries \
332 jfontmaps/kanji-config-updmap-sys.sh \
333 jfontmaps/kanji-config-updmap.pl \
334 jfontmaps/kanji-fontmap-creator.pl \
335 kotex-utils/jamo-normalize.pl \
336 kotex-utils/komkindex.pl \
337 kotex-utils/ttf2kotexfont.pl \
338 latex-git-log/latex-git-log \
339 latex2man/latex2man \
340 latexdiff/latexdiff-vc.pl \
341 latexdiff/latexdiff.pl \
342 latexdiff/latexrevise.pl \
343 latexindent/latexindent.pl \
344 latexmk/latexmk.pl \
345 latexpand/latexpand \
346 lilyglyphs/lily-glyph-commands.py \
347 lilyglyphs/lily-image-commands.py \
348 lilyglyphs/lily-rebuild-pdfs.py \
349 ltximg/ltximg.pl \
350 luaotfload/luaotfload-tool.lua \
351 m-tx/m-tx.lua \
352 make4ht/make4ht \
353 match_parens/match_parens \
354 mathspic/mathspic.pl \
355 mf2pt1/mf2pt1.pl \
356 mkgrkindex/mkgrkindex \
357 mkjobtexmf/mkjobtexmf.pl \
358 mkpic/mkpic \
359 multibibliography/multibibliography.pl \
360 musixtex/musixflx.lua \
361 musixtex/musixtex.lua \
362 oberdiek/pdfatfi.pl \
363 pax/pdfannotextractor.pl \
364 pdfcrop/pdfcrop.pl \
365 pedigree-perl/pedigree.pl \
366 perltex/perltex.pl \
367 pfarrei/a5toa4.tlu \
368 pfarrei/pfarrei.tlu \
369 pkfix-helper/pkfix-helper \
370 pkfix/pkfix.pl \
371 pmx/pmx2pdf.lua \
372 pmxchords/pmxchords.lua \
373 pst2pdf/pst2pdf.pl \
374 ptex2pdf/ptex2pdf.lua \
375 purifyeps/purifyeps \
376 pygmentex/pygmentex.py \
377 pythontex/depythontex.py \
378 pythontex/pythontex.py \
379 rubik/rubikrotation.pl \
380 splitindex/splitindex.pl \
381 sty2dtx/sty2dtx.pl \
382 svn-multi/svn-multi.pl \
383 tex4ebook/tex4ebook \
384 texcount/texcount.pl \
385 texdef/texdef.pl \
386 texdiff/texdiff \
387 texdirflatten/texdirflatten \
388 texdoc/texdoc.tlu \
389 texfot/texfot.pl \
390 texlive/fmtutil-sys.sh \
391 texlive/fmtutil.pl \
392 texlive/rungs.tlu \
393 texlive/tlmgr.pl \
394 texlive/updmap-sys.sh \
395 texlive/updmap.pl \
396 texliveonfly/texliveonfly.py \
397 texloganalyser/texloganalyser \
398 thumbpdf/thumbpdf.pl \
399 ulqda/ulqda.pl \
400 urlbst/urlbst \
401 vpe/vpe.pl \
402 yplan/yplan
404 texmf_context_scripts = \
405 context/stubs/unix/context \
406 context/stubs/unix/contextjit \
407 context/stubs/unix/luatools \
408 context/stubs/unix/mtxrun \
409 context/stubs/unix/mtxrunjit \
410 context/stubs/unix/texexec \
411 context/stubs/unix/texmfstart
413 nobase_dist_texmf_scripts_SCRIPTS = \
414 $(texmf_shell_scripts) \
415 $(texmf_other_scripts) \
416 $(texmf_context_scripts)
418 bin_links = \
419 epstopdf:repstopdf \
420 pdfcrop:rpdfcrop
422 relpath = $(SHELL) $(top_srcdir)/../../build-aux/relpath
423 runscript = $(top_srcdir)/$(WIN_WRAPPER)/runscript.exe
424 ctxscript = $(top_srcdir)/$(WIN_WRAPPER)/context/mtxrun.exe
425 @WIN32_TRUE@WINEXT = $(EXEEXT)
426 shell_scripts = $(texmf_shell_scripts) $(texmf_context_scripts)
427 all: all-am
429 .SUFFIXES:
430 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
431 @for dep in $?; do \
432 case '$(am__configure_deps)' in \
433 *$$dep*) \
434 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
435 && { if test -f $@; then exit 0; else break; fi; }; \
436 exit 1;; \
437 esac; \
438 done; \
439 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign linked_scripts/Makefile'; \
440 $(am__cd) $(top_srcdir) && \
441 $(AUTOMAKE) --foreign linked_scripts/Makefile
442 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
443 @case '$?' in \
444 *config.status*) \
445 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
446 *) \
447 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
448 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
449 esac;
451 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
452 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
454 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
455 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
456 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
457 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
458 $(am__aclocal_m4_deps):
459 install-nobase_dist_texmf_scriptsSCRIPTS: $(nobase_dist_texmf_scripts_SCRIPTS)
460 @$(NORMAL_INSTALL)
461 @list='$(nobase_dist_texmf_scripts_SCRIPTS)'; test -n "$(texmf_scriptsdir)" || list=; \
462 if test -n "$$list"; then \
463 echo " $(MKDIR_P) '$(DESTDIR)$(texmf_scriptsdir)'"; \
464 $(MKDIR_P) "$(DESTDIR)$(texmf_scriptsdir)" || exit 1; \
465 fi; \
466 $(am__nobase_strip_setup); \
467 for p in $$list; do \
468 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
469 if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
470 done | \
471 sed -e 'p;s,.*/,,;n' \
472 -e "s|$$srcdirstrip/||" -e 'h;s|[^/]*$$||; s|^$$|.|' \
473 -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
474 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
475 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
476 if ($$2 == $$4) { files[d] = files[d] " " $$1; \
477 if (++n[d] == $(am__install_max)) { \
478 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
479 else { print "f", d "/" $$4, $$1 } } \
480 END { for (d in files) print "f", d, files[d] }' | \
481 while read type dir files; do \
482 case $$type in \
483 d) echo " $(MKDIR_P) '$(DESTDIR)$(texmf_scriptsdir)/$$dir'"; \
484 $(MKDIR_P) "$(DESTDIR)$(texmf_scriptsdir)/$$dir" || exit $$?;; \
485 f) \
486 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
487 test -z "$$files" || { \
488 echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(texmf_scriptsdir)$$dir'"; \
489 $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(texmf_scriptsdir)$$dir" || exit $$?; \
491 ;; esac \
492 ; done
494 uninstall-nobase_dist_texmf_scriptsSCRIPTS:
495 @$(NORMAL_UNINSTALL)
496 @list='$(nobase_dist_texmf_scripts_SCRIPTS)'; test -n "$(texmf_scriptsdir)" || exit 0; \
497 $(am__nobase_strip_setup); \
498 files=`$(am__nobase_strip) \
499 -e 'h;s,.*/,,;$(transform);x;s|[^/]*$$||;G;s,\n,,'`; \
500 dir='$(DESTDIR)$(texmf_scriptsdir)'; $(am__uninstall_files_from_dir)
501 tags TAGS:
503 ctags CTAGS:
505 cscope cscopelist:
508 distdir: $(DISTFILES)
509 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
510 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
511 list='$(DISTFILES)'; \
512 dist_files=`for file in $$list; do echo $$file; done | \
513 sed -e "s|^$$srcdirstrip/||;t" \
514 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
515 case $$dist_files in \
516 */*) $(MKDIR_P) `echo "$$dist_files" | \
517 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
518 sort -u` ;; \
519 esac; \
520 for file in $$dist_files; do \
521 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
522 if test -d $$d/$$file; then \
523 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
524 if test -d "$(distdir)/$$file"; then \
525 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
526 fi; \
527 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
528 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
529 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
530 fi; \
531 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
532 else \
533 test -f "$(distdir)/$$file" \
534 || cp -p $$d/$$file "$(distdir)/$$file" \
535 || exit 1; \
536 fi; \
537 done
538 check-am: all-am
539 check: check-am
540 all-am: Makefile $(SCRIPTS) all-local
541 installdirs: installdirs-local
542 for dir in "$(DESTDIR)$(texmf_scriptsdir)"; do \
543 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
544 done
545 install: install-am
546 install-exec: install-exec-am
547 install-data: install-data-am
548 uninstall: uninstall-am
550 install-am: all-am
551 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
553 installcheck: installcheck-am
554 install-strip:
555 if test -z '$(STRIP)'; then \
556 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
557 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
558 install; \
559 else \
560 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
561 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
562 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
564 mostlyclean-generic:
566 clean-generic:
568 distclean-generic:
569 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
570 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
571 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
573 maintainer-clean-generic:
574 @echo "This command is intended for maintainers to use"
575 @echo "it deletes files that may require special tools to rebuild."
576 clean: clean-am
578 clean-am: clean-generic mostlyclean-am
580 distclean: distclean-am
581 -rm -f Makefile
582 distclean-am: clean-am distclean-generic
584 dvi: dvi-am
586 dvi-am:
588 html: html-am
590 html-am:
592 info: info-am
594 info-am:
596 install-data-am: install-nobase_dist_texmf_scriptsSCRIPTS
597 @$(NORMAL_INSTALL)
598 $(MAKE) $(AM_MAKEFLAGS) install-data-hook
599 install-dvi: install-dvi-am
601 install-dvi-am:
603 install-exec-am:
605 install-html: install-html-am
607 install-html-am:
609 install-info: install-info-am
611 install-info-am:
613 install-man:
615 install-pdf: install-pdf-am
617 install-pdf-am:
619 install-ps: install-ps-am
621 install-ps-am:
623 installcheck-am:
625 maintainer-clean: maintainer-clean-am
626 -rm -f Makefile
627 maintainer-clean-am: distclean-am maintainer-clean-generic
629 mostlyclean: mostlyclean-am
631 mostlyclean-am: mostlyclean-generic
633 pdf: pdf-am
635 pdf-am:
637 ps: ps-am
639 ps-am:
641 uninstall-am: uninstall-nobase_dist_texmf_scriptsSCRIPTS
642 @$(NORMAL_INSTALL)
643 $(MAKE) $(AM_MAKEFLAGS) uninstall-hook
644 .MAKE: install-am install-data-am install-strip uninstall-am
646 .PHONY: all all-am all-local check check-am clean clean-generic \
647 cscopelist-am ctags-am distclean distclean-generic distdir dvi \
648 dvi-am html html-am info info-am install install-am \
649 install-data install-data-am install-data-hook install-dvi \
650 install-dvi-am install-exec install-exec-am install-html \
651 install-html-am install-info install-info-am install-man \
652 install-nobase_dist_texmf_scriptsSCRIPTS install-pdf \
653 install-pdf-am install-ps install-ps-am install-strip \
654 installcheck installcheck-am installdirs installdirs-local \
655 maintainer-clean maintainer-clean-generic mostlyclean \
656 mostlyclean-generic pdf pdf-am ps ps-am tags-am uninstall \
657 uninstall-am uninstall-hook \
658 uninstall-nobase_dist_texmf_scriptsSCRIPTS
660 .PRECIOUS: Makefile
663 scripts-list: Makefile
664 @echo "Create $@"
665 @echo "texmf_scripts='" >$@
666 @for f in $(nobase_dist_texmf_scripts_SCRIPTS); do echo "$$f"; done >>$@
667 @echo "'" >>$@
668 cmp -s $(srcdir)/scripts.lst $@ || cp -f $@ $(srcdir)/scripts.lst
670 @MAINTAINER_MODE_TRUE@all-local: scripts-list
671 @MAINTAINER_MODE_FALSE@all-local:
673 installdirs-local:
674 $(MKDIR_P) $(DESTDIR)$(bindir)
675 install-data-hook: installdirs-local
676 @WIN32_TRUE@ @for s in $(texmf_other_scripts); do \
677 @WIN32_TRUE@ t=`basename $$s | sed 's,\.[^/]*$$,,' | tr '[A-Z]' '[a-z]'`; \
678 @WIN32_TRUE@ echo "$(INSTALL_SCRIPT) '$(runscript)' '$(DESTDIR)$(bindir)/$$t.exe'"; \
679 @WIN32_TRUE@ $(INSTALL_SCRIPT) $(runscript) $(DESTDIR)$(bindir)/$$t.exe; \
680 @WIN32_TRUE@ done
681 @WIN32_TRUE@ $(INSTALL_SCRIPT) $(top_srcdir)/$(WIN_WRAPPER)/runscript.dll $(DESTDIR)$(bindir)
682 @WIN32_TRUE@ $(INSTALL_SCRIPT) $(top_srcdir)/$(WIN_WRAPPER)/runscript.exe $(DESTDIR)$(bindir)
683 @WIN32_TRUE@ $(INSTALL_SCRIPT) $(top_srcdir)/w32_wrapper/runscript.tlu $(DESTDIR)$(bindir)
684 @WIN32_TRUE@ @for s in $(texmf_context_scripts); do \
685 @WIN32_TRUE@ t=`basename $$s | sed 's,\.[^/]*$$,,' | tr '[A-Z]' '[a-z]'`; \
686 @WIN32_TRUE@ echo "$(INSTALL_SCRIPT) '$(ctxscript)' '$(DESTDIR)$(bindir)/$$t.exe'"; \
687 @WIN32_TRUE@ $(INSTALL_SCRIPT) $(ctxscript) $(DESTDIR)$(bindir)/$$t.exe; \
688 @WIN32_TRUE@ done
689 @WIN32_TRUE@ $(INSTALL_SCRIPT) $(top_srcdir)/$(WIN_WRAPPER)/context/mtxrun.dll $(DESTDIR)$(bindir)
690 @WIN32_TRUE@ $(INSTALL_SCRIPT) $(srcdir)/context/stubs/unix/mtxrun $(DESTDIR)$(bindir)/mtxrun.lua
691 @WIN32_TRUE@ @for s in $(bin_links); do \
692 @WIN32_TRUE@ link=`echo $$s | sed 's,.*:,,'`; \
693 @WIN32_TRUE@ echo "$(INSTALL_SCRIPT) '$(runscript)' '$(DESTDIR)$(bindir)/$$link.exe'"; \
694 @WIN32_TRUE@ $(INSTALL_SCRIPT) $(runscript) $(DESTDIR)$(bindir)/$$link.exe || exit 1; \
695 @WIN32_TRUE@ done
696 @WIN32_FALSE@ @REL=`$(relpath) '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
697 @WIN32_FALSE@ if test -z "$$REL"; then \
698 @WIN32_FALSE@ echo 'unable to compute relative path for linked scripts' >&2; \
699 @WIN32_FALSE@ exit 1; \
700 @WIN32_FALSE@ fi; \
701 @WIN32_FALSE@ cd $(DESTDIR)$(bindir) && \
702 @WIN32_FALSE@ for s in $(nobase_dist_texmf_scripts_SCRIPTS); do \
703 @WIN32_FALSE@ target=`basename $$s | tr '[A-Z]' '[a-z]'`; \
704 @WIN32_FALSE@ echo "$$s" | grep listings-ext.sh >/dev/null \
705 @WIN32_FALSE@ || target=`echo $$target | sed 's,\.[^/]*$$,,'`; \
706 @WIN32_FALSE@ rm -f $$target; \
707 @WIN32_FALSE@ echo "creating link '$$target' -> '$$REL/texmf-dist/scripts/$$s'"; \
708 @WIN32_FALSE@ $(LN_S) $$REL/texmf-dist/scripts/$$s $$target || exit 1; \
709 @WIN32_FALSE@ done && \
710 @WIN32_FALSE@ for s in $(bin_links); do \
711 @WIN32_FALSE@ link=`echo $$s | sed 's,.*:,,'`; \
712 @WIN32_FALSE@ file=`echo $$s | sed 's,:.*,,'`; \
713 @WIN32_FALSE@ rm -f $$link; \
714 @WIN32_FALSE@ echo "creating link '$$link' -> '$$file'"; \
715 @WIN32_FALSE@ $(LN_S) $$file $$link || exit 1; \
716 @WIN32_FALSE@ done && \
717 @WIN32_FALSE@ if test -d "$$REL/texmf-dist/doc/man" \
718 @WIN32_FALSE@ && test -z "$(TL_INSTALL_OMIT_MAN_LINK)" \
719 @WIN32_FALSE@ && (test -h man || test ! -e man); then \
720 @WIN32_FALSE@ echo "creating link 'man' -> '$$REL/texmf-dist/doc/man'"; \
721 @WIN32_FALSE@ rm -f man; \
722 @WIN32_FALSE@ (ln -s "$$REL/texmf-dist/doc/man" man || :); \
723 @WIN32_FALSE@ else :; fi
725 .PHONY: install-links
726 install-links:
728 uninstall-hook:
729 @for s in $(nobase_dist_texmf_scripts_SCRIPTS); do \
730 target=`basename $$s | tr '[A-Z]' '[a-z]'`; \
731 echo "$$s" | grep listings-ext.sh >/dev/null \
732 || target=`echo $$target | sed 's,\.[^/]*$$,,'`; \
733 rm -f $(DESTDIR)$(bindir)/$$target$(WINEXT); \
734 done
735 @for s in $(bin_links); do \
736 link=`echo $$s | sed 's,.*:,,'`; \
737 rm -f $(DESTDIR)$(bindir)/$$link$(WINEXT); \
738 done
739 @WIN32_FALSE@ if test -h $(DESTDIR)$(bindir)/man; then \
740 @WIN32_FALSE@ rm -f $(DESTDIR)$(bindir)/man; \
741 @WIN32_FALSE@ else :; fi
743 .PHONY: echo-shell-scripts
744 echo-shell-scripts:
745 @echo $(shell_scripts)
747 # Tell versions [3.59,3.63) of GNU make to not export all variables.
748 # Otherwise a system limit (for SysV at least) may be exceeded.
749 .NOEXPORT: